<?xml version="1.0" encoding="utf-8"?>
<manifest package="com.cpac.cpacvoip"
          xmlns:android="http://schemas.android.com/apk/res/android"
          xmlns:tools="http://schemas.android.com/tools">

    <permission
        android:name="com.cpac.cpacvoip.permission.C2D_MESSAGE"
        android:protectionLevel="signature" />

    <uses-permission android:name="com.cpac.cpacvoip.permission.C2D_MESSAGE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.CAMERA"/>
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS"/>
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission. ACCESS_COARSE_LOCATION" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />
    <uses-feature android:name="android.hardware.camera2.full" />
    <uses-feature android:name="android.hardware.camera2.autofocus" />

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher_cpac"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_cpac_round"
        android:supportsRtl="true"
        tools:ignore="GoogleAppIndexingWarning">
        <activity
            android:theme="@style/AppTheme.Launcher"
            android:name=".activity.MainActivity"
            android:screenOrientation="portrait"

            android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity android:name=".activity.BaseActivity"/>

        <service android:name=".qb.services.CallService"/>

        <activity android:name=".activity.GroupChatActivity"
                  android:screenOrientation="portrait">
        </activity>
        <activity android:name=".qb.activity.ListUserActivity"
                  android:screenOrientation="portrait"/>

        <activity android:name=".qb.activity.CallActivity"
            android:noHistory="true"
            android:screenOrientation="portrait">
        </activity>

        <activity android:name=".qb.activity.PermissionsActivity"
                  android:screenOrientation="portrait">
        </activity>

        <activity
            android:name=".services.ExitActivity"
            android:theme="@android:style/Theme.NoDisplay"
            android:autoRemoveFromRecents="true"/>

        <meta-data android:name="com.quickblox.messages.TYPE" android:value="FCM" />
        <meta-data android:name="com.quickblox.messages.SENDER_ID" android:value="@string/sender_id" />
        <meta-data android:name="com.quickblox.messages.QB_ENVIRONMENT" android:value="PRODUCTION" />


        <service android:name=".gcm.FcmMessagingService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <service
            android:name=".gcm.GcmPushListenerService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />
            </intent-filter>
        </service>


        <service
            android:name="com.quickblox.messages.services.fcm.QBFcmPushListenerService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
        <service
            android:name="com.quickblox.messages.services.fcm.QBFcmPushInstanceIDService">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT"/>
            </intent-filter>
        </service>

        <service android:name=".services.BroadcastService"
            android:exported="true"
            android:enabled="true" >
        </service>

        <receiver
            android:name=".Restarter"
            android:enabled="true"
            android:exported="true">
        </receiver>
        <receiver
            android:name=".MyBroadcastReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="cpac.joylife.voip.login" />
            </intent-filter>
        </receiver>
        <receiver android:name=".MidnightReceiver"
                  android:enabled="true"
                  android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <meta-data
            android:name="io.fabric.ApiKey"
            android:value="e08e2e61fe3df50752ebadb62303fdb1d32576a4" />
    </application>

</manifest>